# $Revision: 1.8 $, $Date: 2005/05/22 23:30:17 $
Summary:	A graphical FTP client for KDE
Summary(pl):	Graficzny klient FTP dla KDE
Name:		kftpgrabber
Version:	0.5.0
Release:	3
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://kftpgrabber.sf.net/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	80d0f75a5b62ea05297bad67d859815b
URL:		http://kftpgrabber.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	howl-devel
BuildRequires:	kdelibs-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	qsa-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KFTPGrabber is a graphical FTP client for KDE. It provides a nice GUI
for all file transfer operations, it supports encrypted connections
(both SSL and SFTP), site-to-site (FXP) transfers and complete bookmark
system.

%description -l pl
KFTPGrabber jest graficznym klientem FTP dla KDE. Wyposaony jest w
miy dla oka GUI, obsuguje szyfrowane poczenia (SSL i SFTP),
przesyanie site-to-site (FXP) oraz posiada zakadki.

%prep
%setup -q

%build
%configure \
	--with-extra-includes=%{_includedir}/qsa \
	--with-qt-libraries=%{_datadir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__sed} -i 's,^Categories.*,Categories=Qt;KDE;Network;FileTransfer;,' src/kftpgrabber.desktop

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Utilitiesdir=%{_desktopdir} \
	Iconsdir=%{_pixmapsdir} \
	kde_htmldir=%{_kdedocdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_datadir}/apps/%{name}
%{_desktopdir}/kde/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kftpgrabber.spec,v $
Revision 1.8  2005/05/22 23:30:17  ankry
- fix amd64 build, rel. 3

Revision 1.7  2005/01/16 21:01:03  charles
- fix %files and %find_lang

Revision 1.6  2004/12/23 18:19:46  charles
- add %{_kdedocdir} + BR rpmbuild(macros) >= 1.129
- fix categories in .desktop + BR sed >= 4
- rel. 2

Revision 1.5  2004/12/13 18:14:44  pluto
- qsa enabled.

Revision 1.4  2004/12/13 10:46:43  qboosh
- pl fix

Revision 1.3  2004/12/12 07:01:00  domelu
- more summary (en/pl)
- fixed url; source0 standarization

Revision 1.2  2004/12/11 18:45:35  qboosh
- pl, sorted BRs, call ldconfig

Revision 1.1  2004/12/10 16:02:33  arekm
- new
